using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;

public partial class Admin_LiuYan_LiuYan_HuiFu : System.Web.UI.Page
{
    private 访问 访问;
    private new int ID;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("回复留言", "网站后台", "回复留言", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();

        ID = Convert.ToInt32(Request.QueryString["ID"]);
        if (this.IsPostBack)
            回复留言();
        else
            初始化();
    }

    private void 初始化()
    {
        Hashtable 留言 = 常用.SQL_获取(new SqlCommand("SELECT [标题],[留言内容],[回复内容] FROM [" + 程序.数据表前缀 + "其它_留言_留言] WHERE [ID]=" + ID, 访问.连接));

        if (留言 == null)
            throw new Exception("留言不存在");

        BiaoTi.Text = Server.HtmlEncode(留言["标题"].ToString());
        LiuYanNeiRong.Text = Server.HtmlEncode(留言["留言内容"].ToString());
        HuiFuNeiRong.Text = 留言["回复内容"].ToString();
    }

    private void 回复留言()
    {
        访问.验证权限("40");
        String 回复内容 = HuiFuNeiRong.Text;

        SqlCommand 语句 = new SqlCommand("UPDATE [" + 程序.数据表前缀 + "其它_留言_留言] SET " +
            "[是否已回复]='1'," +
            "[回复内容]=@回复内容 WHERE [ID]=" + ID, 访问.连接);
        语句.Parameters.Add("@回复内容", SqlDbType.NVarChar).Value = 回复内容;
        语句.ExecuteNonQuery();

        访问统计_管理记录 记录 = new 访问统计_管理记录(this.Context, 访问.连接);
        记录.记录("回复留言", 访问.用户["昵称"].ToString());

        Response.Redirect(Request.QueryString["rurl"]);
    }
}
